PROCEDURE test_st

***  examines the characteristics of menu functions.

CLEAR
ON KEY LABEL f10 DO inspect
ON KEY LABEL f9 ?? chr(7)

DEFINE MENU t_menu
DEFINE PAD one OF t_menu PROMPT 'CUSTOMERS' AT 01,01
DEFINE PAD two OF t_menu PROMPT 'SALESMEN'  AT 01,12
ON SELECTION PAD one OF t_menu ACTIVATE popup pop_1
ON SELECTION PAD two of t_menu DEACTIVATE MENU

DEFINE POPUP pop_1 FROM 02,01
DEFINE BAR 1 OF pop_1 PROMPT ' Gets '
DEFINE BAR 2 OF pop_1 PROMPT ' Popup '
DEFINE BAR 3 OF pop_1 PROMPT ' This is a very long bar '
ON SELECTION POPUP pop_1 DO test_st1

ACTIVATE menu t_menu

RELEASE POPUPS pop_1, pop_2
RELEASE MENU t_menu

ON KEY LABEL f10

********

PROCEDURE test_st1

DO CASE

  CASE bar() = 1
    DEFINE WINDOW get_win FROM 5,20 TO 15,60
    ACTIVATE WINDOW get_win
    STORE space(10) TO get_1, get_2, get_3
    @ 02,05 SAY 'Get variable # 1: ' GET get_1
    @ 03,05 SAY 'Get variable # 2: ' GET get_2
    @ 04,05 SAY 'Get variable # 3: ' GET get_3
    READ
    RELEASE WINDOW get_win

  CASE bar() = 2
    DEFINE POPUP pop_2 FROM 05,25
    DEFINE BAR 1 OF pop_2 PROMPT ' First Prompt '
    DEFINE BAR 2 OF pop_2 PROMPT ' Second Prompt '
    ON SELECTION POPUP pop_2 DEACTIVATE POPUP
    ACTIVATE POPUP pop_2

ENDCASE

********

PROCEDURE  inspect
PRIVATE c_win

*  Copyright (c) 1992 Performance Dynamics Associates
*  Stripped-down version of Power Tools inspect procedure

c_win = window()

DEFINE WINDOW inspector from 02,10 TO 23,55 PANEL
ACTIVATE WINDOW inspector
@ 01,10 SAY 'PERTINATE VALUES'

@ 03,05 SAY '   MENU(): ' + menu()
@ 04,05 SAY '    PAD(): ' + pad()
@ 05,05 SAY ' PROMPT(): ' + prompt()

@ 07,05 SAY '  POPUP(): ' + popup()
@ 08,05 SAY '    BAR(): ' + ltrim(str(bar()))
@ 09,05 SAY ' PROMPT(): ' + prompt()

@ 11,05 SAY ' LINENO(): ' + ltrim(str(lineno()))
@ 12,05 SAY 'PROGRAM(): ' + program()
@ 13,05 SAY ' WINDOW(): ' + c_win

@ 15,05 SAY 'VARREAD(): ' + varread()
@ 16,05 SAY 'LASTKEY(): ' + ltrim(str(lastkey()))
@ 17,05 SAY 'READKEY(): ' + ltrim(str(readkey()))
?
WAIT
RELEASE WINDOW inspector

IF isblank(c_win)
  ACTIVATE screen
ENDIF

RETURN
